%define module_name	drm
%define module_release	alt21.12
%define module_version	4.3.0

%define kversion	2.4.22
%define krelease	alt12
%define flavour		std-up

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/char/drm

%define drm_modules	tdfx.o sis.o r128.o radeon.o mga.o i810.o i830.o

Summary:	The Direct Rendering Infrastructure modules
Name:		kernel-modules-drm-%{flavour}
Version:	%{module_version}
Release:	%{module_release}
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://dri.sourceforge.net/
BuildPreReq:    kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %kversion-%krelease
BuildRequires:  kernel-source-drm-%{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%{ix86}


%package -n kernel-headers-drm-%{flavour}
Summary: Linux Direct Rendering Manager headers
Group: System/Kernel and hardware
License:        GPL
PreReq: kernel-headers-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-headers-%{flavour} = %{kversion}-%{krelease}

%description
The  Direct  Rendering  Infrastructure,  also  known as the DRI, is a framework
for allowing direct access to graphics hardware  in a safe and efficient manner.
It includes changes to the X server, to several client libraries, and to the 
kernel. The first major use for the DRI is to create fast OpenGL implementations.

These are modules for your ALT Linux system

%description -n kernel-headers-drm-%{flavour}
The  Direct  Rendering  Infrastructure,  also  known as the DRI, is a framework
for allowing direct access to graphics hardware  in a safe and efficient manner.
It includes changes to the X server, to several client libraries, and to the
kernel. The first major use for the DRI is to create fast OpenGL implementations.

These are headers for building third-party DRI modules.

%prep

rm -rf kernel-source-drm-%{module_version}

tar -jxvf %{_usrsrc}/kernel/sources/kernel-source-drm-%{module_version}.tar.bz2

%setup -D -T -n kernel-source-drm-%{module_version}

%build
%make_build -f Makefile.linux TREE=%_includedir/linux-%{kversion}-%{flavour}/include \
	MACHINE=i386 CC=%kcc %drm_modules

%install
mkdir -p \
    $RPM_BUILD_ROOT/%{module_dir}
cp -a %drm_modules $RPM_BUILD_ROOT/%{module_dir}

mkdir -p \
    $RPM_BUILD_ROOT/%{_prefix}/include/linux-%{kversion}-%{flavour}/include/drm
cp -a drm*.h $RPM_BUILD_ROOT/%{_prefix}/include/linux-%{kversion}-%{flavour}/include/drm


%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%defattr(644,root,root,755)
%module_dir

%files -n kernel-headers-drm-%{flavour}
%_prefix/include/linux-%kversion-%flavour/include/drm

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 4.3.0-alt21.12
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 4.3.0-alt20.12
- Fixed installed file list.
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 4.3.0-alt19.12
- added buildrequires

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt18
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt17
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt16
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt15
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt14
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt13
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt12
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt11
- rebuilt with 2.4.21rel-alt7

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt10
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt9
- rebuilt with 2.4.21rel-alt5

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt8
- rebuilt with 2.4.21rel-alt3
- don't build gamma.o

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt7
- rebuilt with 2.4.21rel

* Thu May 08 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt6
- adopted new policy.

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt5
- added human readable summary and description.

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt4
- moved headers to /usr/src/linux-%{kversion}-%{flavour}/include/drm

* Tue Mar 25 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt3
- Added headers package. It is needed for building packages with external 
  drm drivers likes fglrx and NVIDIA.

* Wed Mar 19 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt2
- Rebuilt with vanilla 2.4.21pre5-alt0.2 kernel

* Wed Feb 19 2003 Peter Novodvorsky <nidd@altlinux.org> 2.4.20-alt0.1
- initial release of NGKPs
